| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
RedMatrix\RedDAV\RedFile Member List

This is the complete list of members for RedMatrix\RedDAV\RedFile, including all inherited members.

$auth | RedMatrix\RedDAV\RedFile | private
$data | RedMatrix\RedDAV\RedFile | private
$name | RedMatrix\RedDAV\RedFile | private
__construct($name, $data, &$auth) | RedMatrix\RedDAV\RedFile |
delete() | RedMatrix\RedDAV\RedFile |
get() | RedMatrix\RedDAV\RedFile |
getContentType() | RedMatrix\RedDAV\RedFile |
getETag() | RedMatrix\RedDAV\RedFile |
getLastModified() | RedMatrix\RedDAV\RedFile |
getName() | RedMatrix\RedDAV\RedFile |
getSize() | RedMatrix\RedDAV\RedFile |
put($data) | RedMatrix\RedDAV\RedFile |
setName($newName) | RedMatrix\RedDAV\RedFile |